clear all
close all
clc

%Representa la integral.
F = @(x) quad(@(t) t.^6.*exp(-t),1,x);

%Puntos a evaluar
x = 1:0.01:10;
%Se inicializa el vector con los valores de la función
y = zeros(length(x),1);
%Se evalua en cada punto de x.
for i=1:length(x)
    y(i) = feval(F,x(i));
end

plot(x,y)
feval(F, 2)
feval(F, 10)